### A free/open-source library for quantitative finance

Public Member Functions
SpreadedHazardRateCurve Class Reference

Default-probability structure with an additive spread on hazard rates. More...

`#include <ql/experimental/credit/spreadedhazardratecurve.hpp>`

Inheritance diagram for SpreadedHazardRateCurve:
[legend]

List of all members.

## Public Member Functions

| SpreadedHazardRateCurve (const Handle< DefaultProbabilityTermStructure > &originalCurve, const Handle< Quote > &spread)

## DefaultProbabilityTermStructure interface

DayCounter | dayCounter () const
| the day counter used for date/time conversion
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Date | maxDate () const
| the latest date for which the curve can return values
Time | maxTime () const
| the latest time for which the curve can return values
Real | hazardRateImpl (Time t) const
| hazard rate calculation

## Detailed Description

Default-probability structure with an additive spread on hazard rates.

Note:
  This term structure will remain linked to the original structure, i.e., any changes in the latter will be reflected in this structure as well.